<article class="general-content">
    <section class="container general-content__container">
        <div class="flexgrid flexgrid--gutter" :class="{'flexgrid--row-reversed': reversed}">
            <div class="flexgrid__cell--xs-6 flexgrid__cell--md-4 general-content__grid-cell">
                <h2 class="general-content__title"> {{ title }}</h2>
                <p class="general-content__body" v-for="p in text">{{ p }}</p>
                <content-link  v-if="contentLink" :block="'general-content'" :href="contentLink.href">{{ contentLink.text }}</content-link>
            </div>
            <div class="flexgrid__cell--xs-6 flexgrid__cell--md-8 general-content__grid-cell">
                <div class="general-content__image-wrapper">
                    <responsive-picture v-if="image" v-bind="image"></responsive-picture>
                </div>
            </div>
        </div>
    </section>
</article>